# liblzo

LZO is a data compression library which is suitable for data de-/compression in real-time. This means it favours speed over compression ratio.
LZO is written in ANSI C. Both the source code and the compressed data format are designed to be portable across platforms.
LZO implements a number of algorithms with the following features:
* decompression is simple and *very* fast
* requires no memory for decompression
* compression is pretty fast
* requires 64 kB of memory for compression
* allows you to dial up extra compression at a speed cost in the compressor; the speed of the decompressor is not reduced
* includes compression levels for generating pre-compressed data which achieve a quite competitive compression ratio
* there is also a compression level which needs only 8 kB for compression
* algorithm is thread safe
* algorithm is lossless.
LZO supports overlapping compression and in-place decompression.

