Name:          liblzo
Version:       2.09
Release:       1mamba
Summary:       A real-time lossless data compression library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.oberhumer.com/opensource/lzo/
Source:        http://www.oberhumer.com/opensource/lzo/download/lzo-%{version}.tar.gz
License:       GPL
Obsoletes:     liblzo1
Obsoletes:     liblzo2
Provides:      liblzo2
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
LZO is a data compression library which is suitable for data de-/compression in real-time. This means it favours speed over compression ratio.
LZO is written in ANSI C. Both the source code and the compressed data format are designed to be portable across platforms.
LZO implements a number of algorithms with the following features:
* decompression is simple and *very* fast
* requires no memory for decompression
* compression is pretty fast
* requires 64 kB of memory for compression
* allows you to dial up extra compression at a speed cost in the compressor; the speed of the decompressor is not reduced
* includes compression levels for generating pre-compressed data which achieve a quite competitive compression ratio
* there is also a compression level which needs only 8 kB for compression
* algorithm is thread safe
* algorithm is lossless.
LZO supports overlapping compression and in-place decompression.

%package devel
Summary:       Static libraries and headers for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}
Obsoletes:     liblzo1-devel
Obsoletes:     liblzo2-devel
Provides:      liblzo2-devel

%description devel
LZO is a data compression library which is suitable for data de-/compression in real-time.
This means it favours speed over compression ratio. LZO is written in ANSI C.
Both the source code and the compressed data format are designed to be portable across platforms.
LZO implements a number of algorithms with the following features:
* decompression is simple and *very* fast
* requires no memory for decompression
* compression is pretty fast
* requires 64 kB of memory for compression
* allows you to dial up extra compression at a speed cost in the compressor; the speed of the decompressor is not reduced
* includes compression levels for generating pre-compressed data which achieve a quite competitive compression ratio
* there is also a compression level which needs only 8 kB for compression
* algorithm is thread safe
* algorithm is lossless.
LZO supports overlapping compression and in-place decompression.

This package contains static libraries and header files need for development.

%prep
%setup -q -n lzo-%{version}

%build
%configure --enable-shared
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -rf %{buildroot}%{_docdir}/lzo

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/liblzo2.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/lzo/
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%doc BUGS ChangeLog NEWS README THANKS

%changelog
* Tue Feb 10 2015 Automatic Build System <autodist@mambasoft.it> 2.09-1mamba
- automatic version update by autodist

* Sun Jun 29 2014 Automatic Build System <autodist@mambasoft.it> 2.08-1mamba
- automatic update by autodist

* Sat Aug 13 2011 Automatic Build System <autodist@mambasoft.it> 2.06-1mamba
- automatic version update by autodist

* Thu May 12 2011 Automatic Build System <autodist@mambasoft.it> 2.05-1mamba
- automatic update by autodist

* Thu Nov 04 2010 Automatic Build System <autodist@mambasoft.it> 2.04-1mamba
- automatic update by autodist

* Mon May 26 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.03-2mamba
- fixed distribution and vendor fields
- rename to libzo (was liblzo2) and obsolete liblzo1

* Sun May 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.03-1mamba
- update to 2.03

* Mon Jan 22 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.02-3qilnx
- compatibility package %{name}1 removed

* Mon Oct 09 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.02-2qilnx
- fixed package %{name}1

* Fri Jan 27 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.02-1qilnx
- update to version 2.02 by autospec
- new compatibility package %{name}1

* Mon Sep 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.08-1qilnx
- package created by autospec
